IndependenceSplitter Class Reference

`#include <IndependenceSplitter.h>`

## Public Member Functions

bool | analyze (const Slice &slice)
size_t | getVarCount () const
size_t | getOneVarCount () const
size_t | getTwoVarCount () const
size_t | getMoreThanTwoCount () const
void | getBigProjection (Projection &projection) const
void | getRestProjection (Projection &projection) const

## Private Attributes

Partition | _partition
size_t | _oneVarCount
size_t | _twoVarCount
size_t | _moreThanTwoVarCount
size_t | _bigSet

## Detailed Description

Definition at line 29 of file IndependenceSplitter.h.

## Member Function Documentation

## analyze()

bool IndependenceSplitter::analyze | ( | const Slice & | slice | ) |

Definition at line 32 of file IndependenceSplitter.cpp.

## getBigProjection()

void IndependenceSplitter::getBigProjection | ( | Projection & | projection | ) | const

Definition at line 24 of file IndependenceSplitter.cpp.

## getMoreThanTwoCount()

size_t IndependenceSplitter::getMoreThanTwoCount | ( |  | ) | const

inline

Definition at line 40 of file IndependenceSplitter.h.

## getOneVarCount()

size_t IndependenceSplitter::getOneVarCount | ( |  | ) | const

inline

Definition at line 38 of file IndependenceSplitter.h.

## getRestProjection()

void IndependenceSplitter::getRestProjection | ( | Projection & | projection | ) | const

Definition at line 28 of file IndependenceSplitter.cpp.

## getTwoVarCount()

size_t IndependenceSplitter::getTwoVarCount | ( |  | ) | const

inline

Definition at line 39 of file IndependenceSplitter.h.

## getVarCount()

size_t IndependenceSplitter::getVarCount | ( |  | ) | const

Definition at line 97 of file IndependenceSplitter.cpp.

## Member Data Documentation

## _bigSet

size_t IndependenceSplitter::_bigSet

private

Definition at line 55 of file IndependenceSplitter.h.

## _moreThanTwoVarCount

size_t IndependenceSplitter::_moreThanTwoVarCount

private

Definition at line 53 of file IndependenceSplitter.h.

## _oneVarCount

size_t IndependenceSplitter::_oneVarCount

private

Definition at line 51 of file IndependenceSplitter.h.

## _partition

Partition IndependenceSplitter::_partition

private

Definition at line 49 of file IndependenceSplitter.h.

## _twoVarCount

size_t IndependenceSplitter::_twoVarCount

private

Definition at line 52 of file IndependenceSplitter.h.

The documentation for this class was generated from the following files:

- src/IndependenceSplitter.h
- src/IndependenceSplitter.cpp